
/* -------------------------------------------------------------------------
   A. Veneziani - Semplice progetto con GUI basato su VCL
                  di euroconvertitore

                  Scritto in C++ Builder 6

   ------------------------------------------------------------------------- */

/*
    Alcuni accorgimenti:

    1 - L'allineamento delle editbox TEdit VCL  ottenuto
        utilizzando la propriet BiDiMode assieme alla opportuna regolazione
        della zona sulla quale devono essere regolate le convenzioni del programma
        (MiddleEast)

    2 - Il form (TForm) non ridimensionabile  realizzato semplicemente
        regolando la proprieta' boderstyle a  bsSingle e il pulsante di
        massimizzazione  stato disabilitato regolando
        BorderIcons / biMaximize su false

    3 - in ognuno delle textbox sono associti degli eventi
        on change che rilevano l'ultimo numero scritto per
        individuare (euro -> lire editazione su euro o
        lire -> euro editazione du lire) automanticamente
        la conversione da effettuare

 */


//---------------------------------------------------------------------------

#include <vcl.h>
#include <Math.hpp>
#pragma hdrstop

#include "euroconv.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"

TForm1 *Form1;
bool da_lire_a_euro;


//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
        : TForm(Owner)
{
    // permette al valore della proriet BiDiMode di essere rilevato
    SysLocale.MiddleEast = true;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::edtEuroChange(TObject *Sender)
{
    da_lire_a_euro = false;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::btnConvertiClick(TObject *Sender)
{
    if (da_lire_a_euro)
       edtEuro->Text = RoundTo(StrToFloat(edtLire->Text) / 1936.27, -2);
    else
       edtLire->Text = RoundTo(edtEuro->Text * 1936.27,0);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::edtLireChange(TObject *Sender)
{
    da_lire_a_euro = true;
}
//---------------------------------------------------------------------------

